From 4635997efcf3f0523024fb3ea4a583febe4fd7f1 Mon Sep 17 00:00:00 2001
From: pierwill <19642016+pierwill@users.noreply.github.com>
Date: Sat, 4 Aug 2018 17:08:39 -0500
Subject: [PATCH] Add org-quote-region function

* lisp/org.el (org-quote-region): Adds a function to turn the
  highlighted region into a block quote for export ("#+begin_quote
  ... #+end_quote").
---
 lisp/org.el | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/lisp/org.el b/lisp/org.el
index 999575d05..b29b3e353 100644
--- a/lisp/org.el
+++ b/lisp/org.el
@@ -22643,6 +22643,17 @@ package ox-bibtex by Taru Karttunen."
 	       org--rds (list (list 'bib bib))))))
     (call-interactively 'reftex-citation)))
 
+(defun org-quote-region (start end)
+  "Mark current region as a quotation block. (#+begin_quote)"
+  (interactive "r")
+  (save-restriction
+    (narrow-to-region start end)
+    (goto-char (point-min))
+    (insert "#+begin_quote\n")
+    (goto-char (point-max))
+    (insert "#+end_quote\n")))
+
+
 ;;;; Functions extending outline functionality
 
 (defun org-beginning-of-line (&optional n)
-- 
2.18.0

